package com.mosty.common.task.constant.enums;

import lombok.AllArgsConstructor;

/**
 *  执行类型
 * @author liyan
 * @date 2022/2/16 11:06 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum TaskItemStatusEnum {

    /** 0未查看 */
    NOTVIEWED(0, "未查看"),

    /** 1。已查看 */
    VIEWED(1, "已查看"),
    /** 2。完成 */
    FINISH(2, "完成");

    /** 编码 */
    public final Integer code;

    /** 描述 */
    public final String desc;

}
